package com.jeeplus.test.cw.projectReport.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.cw.projectReport.domain.CwProjectReportData;
import com.jeeplus.test.cw.projectReport.domain.CwProjectReview;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author: 王强
 * @create: 2022-12-12 20:35
 **/
@Mapper
public interface CwProjectReportReviewMapper extends BaseMapper<CwProjectReview> {

    CwProjectReview selectByReportId(String id);

    void updateReviewStatysByReportId(@Param("reviewStatus") String reviewStatus,@Param("id") String id);

    CwProjectReportData selectByPortId(String id);

    /**
     * 根据reportId获取关联的项目id
     * @param id
     * @return
     */
    String getProjectIdByReportId(String id);
}
